require 'ghost'

module KniferSutherland
  class Host
    def write_nodes_to_host_file(nodes)
      nodes.each do |node|
        write_node(node)
      end
    end

    def write_node(node)
      begin
        host = Ghost::Host.new(*[node[1], node[0]].compact)
        puts "Adding #{host.name} #{host.ip}"
        Ghost.store.add(host)
      rescue Ghost::Host::NotResolvable
        puts "Not able to resolve for #{node[0]} #{node[1]}"
      end
    end
  end
end
